Skip to main content
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
identity-providers
UpdateIdentityProvider
curl --request PATCH \
  --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/identity-providers \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": {
    "meta": {
      "name": "<string>",
      "annotations": {},
      "description": "<string>",
      "index_data": {},
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "propagate": true,
    "spec": {
      "oidc_provider": {
        "discover_url": "<string>",
        "key": "<string>",
        "secret": "<string>",
        "claim_names": [
          "<string>"
        ],
        "scopes": [
          "<string>"
        ]
      },
      "saml_provider": {
        "attribute_names": [
          "<string>"
        ],
        "certificates": [
          "<string>"
        ],
        "issuer": "<string>",
        "provider_metadata_url": "<string>",
        "sso_url": "<string>"
      }
    },
    "tenant_meta": {}
  },
  "request": {
    "force": true,
    "update_mask": "<string>"
  }
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "oidc_provider": {
      "discover_url": "<string>",
      "key": "<string>",
      "secret": "<string>",
      "claim_names": [
        "<string>"
      ],
      "scopes": [
        "<string>"
      ]
    },
    "saml_provider": {
      "attribute_names": [
        "<string>"
      ],
      "certificates": [
        "<string>"
      ],
      "issuer": "<string>",
      "provider_metadata_url": "<string>",
      "sso_url": "<string>"
    }
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

object.tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to update an identity provider.

object
object

Represents an identity provider.

request
object

Message used for all update requests.

Response

A successful response.

Represents an identity provider.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of an identify provider.